Package twisted :: Package test :: Module test_hook |
[frames | no frames]

## Module twisted.test.test_hook

Test cases for twisted.hook module.

Classes
`BaseClass` |
`HookTestCase` |
`SubClass` |

Function Summary
| `basePost(...)`
| `basePre(...)`
| `subPost(...)`
| `subPre(...)`

Variable Summary
`dict` | `_clean_BaseClass` = `{'__init__': <function __init__ at 0x...`
`dict` | `_clean_SubClass` = `{'__init__': <function __init__ at 0x8...`
`list` | `testCases` = `[<class twisted.test.test_hook.HookTestCase ...`

Variable Details

    ### _clean_BaseClass Type: `dict` Value:
        {'__doc__': '\n    dummy class to help in testing.\n    ',
         '__init__': <function __init__ at 0x8ce8124>,
         '__module__': 'twisted.test.test_hook',
         'func': <function func at 0x8ce815c>}

    ### _clean_SubClass Type: `dict` Value:
        {'__doc__': '\n    another dummy class\n    ',
         '__init__': <function __init__ at 0x8ce81cc>,
         '__module__': 'twisted.test.test_hook',
         'func': <function func at 0x8ce8204>}

    ### testCases Type: `list` Value:
        [<class twisted.test.test_hook.HookTestCase at 0x8ce831c>]

Generated by Epydoc 2.0 on Sat Oct 25 00:55:11 2003 | http://epydoc.sf.net